#!/bin/bash

##############################################################################
# PSXC's users and passwd compare script (ucompare.sh)                       #
# This script will check for mismatches in the userlist and the passwd file. #
# No action will be taken - it will only report.                             #
##############################################################################

userdir=/ftp-data/users
passwdfile=/etc/passwd

echo -e "Checking for differences in the passwd file and userslist\n"
echo -e "Checking password file . . ."
users=`ls -1 $userdir | grep -v default`
for user in $users; do
 ishere=`cat $passwdfile | grep $user`
 if [ ! "$ishere" != "" ]; then
  echo -e "$user not found in passwd file. please verify."
 fi
done
echo -e "Done checking password file.\n"
echo -e "Checking userlist. . ."
userlist=`cat $passwdfile | grep :`
for username in $userlist; do
 user=`echo $username | sed "s/:/ /g" | { read username ig1 ig2 ig3 ig4 ig5 ig6; echo $username; };`
 ishere=`ls -1 $userdir | grep $user`
 if [ ! "$ishere" != "" ]; then
  echo -e "$user not found in userlist. please verify."
 fi
done
echo -e "Done checking userlist.\n"
exit 0

